GUIEditor = {
    gridlist = {},
    window = {},
    button = {},
    label = {}
}
GUIEditor.window[1] = guiCreateWindow(315, 118, 518, 491, "Staff Panel - By Steve", false)
guiWindowSetSizable(GUIEditor.window[1], false)
guiSetProperty(GUIEditor.window[1], "CaptionColour", "FEFFFFFF")
 
GUIEditor.gridlist[1] = guiCreateGridList(12, 32, 174, 447, false, GUIEditor.window[1])
local column = guiGridListAddColumn(GUIEditor.gridlist[1], "Players", 0.9)
if ( column ) then --If the column has been created, fill it with players
    for _,v in ipairs(getElementsByType("player"))do
        local row = guiGridListAddRow(GUIEditor.gridlist[1])
        local playerName = getPlayerName(v)
        guiGridListSetItemText(GUIEditor.gridlist[1],row,column,playerName,false,false)
    end
end

GUIEditor.button[1] = guiCreateButton(196, 34, 96, 42, "Mute", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[1], "default-bold-small")
guiSetProperty(GUIEditor.button[1], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[2] = guiCreateButton(408, 34, 96, 42, "Ban", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[2], "default-bold-small")
guiSetProperty(GUIEditor.button[2], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[3] = guiCreateButton(302, 34, 96, 42, "Kick", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[3], "default-bold-small")
guiSetProperty(GUIEditor.button[3], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[4] = guiCreateButton(196, 86, 96, 42, "Kill", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[4], "default-bold-small")
guiSetProperty(GUIEditor.button[4], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[5] = guiCreateButton(302, 86, 96, 42, "Freeze", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[5], "default-bold-small")
guiSetProperty(GUIEditor.button[5], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[6] = guiCreateButton(408, 86, 96, 42, "Warp", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[6], "default-bold-small")
guiSetProperty(GUIEditor.button[6], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[7] = guiCreateButton(191, 429, 89, 32, "Destroy", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[7], "default-bold-small")
guiSetProperty(GUIEditor.button[7], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[8] = guiCreateButton(191, 387, 89, 32, "Fix", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[8], "default-bold-small")
guiSetProperty(GUIEditor.button[11], "NormalTextColour", "FEFFFFFF")
GUIEditor.label[1] = guiCreateLabel(196, 138, 80, 16, "Player", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[1], "default-bold-small")
guiLabelSetColor(GUIEditor.label[1], 0, 255, 255)
GUIEditor.label[2] = guiCreateLabel(196, 159, 222, 15, "Name: ", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[2], "default-bold-small")
GUIEditor.label[3] = guiCreateLabel(196, 179, 269, 15, "IP: ", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[3], "default-bold-small")
GUIEditor.label[4] = guiCreateLabel(196, 200, 269, 15, "Serial:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[4], "default-bold-small")
GUIEditor.label[5] = guiCreateLabel(196, 225, 269, 15, "Health:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[5], "default-bold-small")
GUIEditor.label[6] = guiCreateLabel(196, 246, 269, 15, "Armour:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[6], "default-bold-small")
GUIEditor.label[7] = guiCreateLabel(196, 267, 269, 15, "Skin:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[7], "default-bold-small")
GUIEditor.label[8] = guiCreateLabel(196, 287, 269, 15, "Team:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[8], "default-bold-small")
GUIEditor.label[9] = guiCreateLabel(196, 308, 269, 15, "Weapon:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[9], "default-bold-small")
GUIEditor.label[10] = guiCreateLabel(196, 329, 269, 15, "Money:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[10], "default-bold-small")
GUIEditor.label[11] = guiCreateLabel(196, 350, 269, 15, "Area:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[11], "default-bold-small")
GUIEditor.label[12] = guiCreateLabel(300, 387, 136, 15, "Vehicle Health:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[12], "default-bold-small")
GUIEditor.label[13] = guiCreateLabel(300, 409, 136, 15, "Vehicle Name:", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[13], "default-bold-small")
GUIEditor.label[14] = guiCreateLabel(196, 371, 80, 16, "Vehicle", false, GUIEditor.window[1])
guiSetFont(GUIEditor.label[14], "default-bold-small")
guiLabelSetColor(GUIEditor.label[14], 0, 255, 255)
GUIEditor.button[12] = guiCreateButton(300, 429, 91, 32, "Set Team", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[12], "default-bold-small")
guiSetProperty(GUIEditor.button[12], "NormalTextColour", "FEFFFFFF")
GUIEditor.button[10] = guiCreateButton(401, 429, 91, 32, "Unfreeze", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[10], "default-bold-small")
guiSetProperty(GUIEditor.button[10], "NormalTextColour", "FFFFFEFE") 
GUIEditor.button[11] = guiCreateButton(280, 362, 96, 25, "Give Vehicle", false, GUIEditor.window[1])
guiSetFont(GUIEditor.button[11], "default-bold-small")
guiSetProperty(GUIEditor.button[11], "NormalTextColour", "FFFEFEFE")
guiSetVisible(GUIEditor.window[1], false)
showCursor(false)
 
function toggleStaff( source )
-- Show the panel
    if not guiGetVisible( GUIEditor.window[1] ) then
        showCursor ( true )
        guiSetVisible( GUIEditor.window[1], true )
       
        -- Update player list
        guiGridListClear ( GUIEditor.gridlist[1] )
        if ( column ) then
            guiGridListClear ( GUIEditor.gridlist[1] )
            for _,v in ipairs(getElementsByType("player"))do
                local row = guiGridListAddRow(GUIEditor.gridlist[1])
                local playerName = getPlayerName(v)
                guiGridListSetItemText(GUIEditor.gridlist[1],row,column,playerName,false,false)
            end
		end
    else
        showCursor ( false )
        guiSetVisible( GUIEditor.window[1], false )
    end
end
bindKey( "M", "down", toggleStaff )
addCommandHandler("staff", toggleStaff)
 
addEventHandler("onClientGUIClick", guiRoot,
function (player)
	if source == GUIEditor.gridlist[1] then
        local row,column = guiGridListGetSelectedItem(source)
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
        local playerHealth = math.floor(getElementHealth(player))
        local playerArmor = math.floor(getPedArmor ( player ))
		local moneycount=getPlayerMoney(getLocalPlayer())
		local playerMoney= '$' ..moneycount
		local playerArea = getZoneName(getElementPosition(player))
		local playerSerial = getPlayerSerial(player)
		local playerSkin = getElementModel(player)
		local playerWeapon = getPedWeapon (player)
		local playerName = guiGridListGetItemText ( GUIEditor.gridlist[1],row,column )
		local player = getPlayerFromName ( playerName )
		local playerTeam = getPlayerTeam(player)
		local playerTeamName = getTeamName ( playerTeam )
		local vehicle = getPedOccupiedVehicle(player)
		if ( vehicle ) then 
		speedx, speedy, speedz = getElementVelocity ( vehicle  )
		actualspeed = (speedx^2 + speedy^2 + speedz^2)^(0.5) 
		kmh = math.floor(actualspeed*180) -- Kilometers per hour
		mph = math.floor(actualspeed * 111.847) -- Milles per hour
		mps = math.floor (actualspeed) -- Metres per second
		end
		--Alright let's work
        guiSetText(GUIEditor.label[2],"Name: "..playerName)
        guiSetText(GUIEditor.label[3],"IP: ".. getElementData ( player,'iPlayerIP'  ) )
        guiSetText(GUIEditor.label[4],"Serial: "..playerSerial)
        guiSetText(GUIEditor.label[5],"Health: "..playerHealth)
        guiSetText(GUIEditor.label[6],"Armour: "..playerArmor)
        guiSetText(GUIEditor.label[7],"Skin: "..playerSkin)
        guiSetText(GUIEditor.label[8],"Team: "..playerTeamName)
        guiSetText(GUIEditor.label[9],"Weapon: "..playerWeapon)
        guiSetText(GUIEditor.label[10],"Money: "..playerMoney)
        guiSetText(GUIEditor.label[11],"Area: "..playerArea)
		if (vehicle) then
        guiSetText(GUIEditor.label[12],"Vehicle Health: "..math.floor(getElementHealth(vehicle)))
        guiSetText(GUIEditor.label[13],"Vehicle Name: "..getVehicleName(vehicle))
		else
        guiSetText(GUIEditor.label[12],"Vehicle Health: Foot")
        guiSetText(GUIEditor.label[13],"Vehicle Name: Foot")
		end
end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[1] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("mute", player,playerName)
		end
	end)
	
addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[2] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("ban", player,playerName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[3] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("kick", player,playerName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[4] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("kill", player,playerName)
		end
end)
addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[5] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("freeze", player,playerName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[6] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("warp", player,playerName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[7] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("destroy", player,playerName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[8] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("fix", player,playerName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == GUIEditor.button[10] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("unfreeze", player,playerName)
		end
end)

---------Team Management Beta--------------
team = {
    Gridlist = {},
    Window = {},
    Button = {}
}
team.Window[1] = guiCreateWindow(552, 237, 296, 214, "Player Team Management - Beta", false)
guiWindowSetSizable(team.Window[1], false)
guiSetProperty(team.Window[1], "CaptionColour", "FEFFFFFF")

team.Gridlist[1] = guiCreateGridList(12, 27, 142, 174, false, team.Window[1])
local Columns = guiGridListAddColumn(team.Gridlist[1], "Teams", 0.9)
if ( Columns ) then --If the Column has been created, fill it with teams
    for _,v in ipairs(getElementsByType("team"))do
        local rows = guiGridListAddRow(team.Gridlist[1])
        local teamName = getTeamName(v)
        guiGridListSetItemText(team.Gridlist[1],rows,Columns,teamName,false,false)
		guiGridListSetItemColor ( team.Gridlist[1], rows, Columns, getTeamColor ( v ) )
    end
end
team.Button[1] = guiCreateButton(165, 33, 121, 31, "Set Team", false, team.Window[1])
guiSetFont(team.Button[1], "default-bold-small")
guiSetProperty(team.Button[1], "NormalTextColour", "FFFFFFFF")
team.Button[2] = guiCreateButton(164, 74, 122, 31, "Remove from team", false, team.Window[1])
guiSetFont(team.Button[2], "default-bold-small")
guiSetProperty(team.Button[2], "NormalTextColour", "FFFFFFFF")
guiSetVisible(team.Window[1], false)

function enableClan()
    if guiGetVisible(team.Window[1]) == false then
        guiSetVisible(team.Window[1], true)
		guiGridListClear ( team.Gridlist[1] )
		if ( Columns ) then
			guiGridListClear ( team.Gridlist[1] )
			for _,v in ipairs(getElementsByType("team"))do
				local rows = guiGridListAddRow(team.Gridlist[1])
				local teamName = getTeamName(v)
				guiGridListSetItemText(team.Gridlist[1],rows,Columns,teamName,false,false)
				guiGridListSetItemColor ( team.Gridlist[1], rows, Columns, getTeamColor ( v ) )
			end
        end
        showCursor(true)
    else
        guiSetVisible(team.Window[1], false)
        showCursor(true)
    end
end
addEventHandler ( "onClientGUIClick", GUIEditor.button[12], enableClan )

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == team.Button[1] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
		local rows, columns = guiGridListGetSelectedItem(team.Gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
		local teamName = guiGridListGetItemText(team.Gridlist[1],rows,columns)
		--local team = getTeamName(teamName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("setteam", localPlayer,playerName,teamName)
		end
end)

addEventHandler("onClientGUIClick", guiRoot,
function()
	if source == team.Button[2] then
        local row, column = guiGridListGetSelectedItem(GUIEditor.gridlist[1])
		local rows, columns = guiGridListGetSelectedItem(team.Gridlist[1])
        if row == -1 then return end
        local playerName = guiGridListGetItemText(GUIEditor.gridlist[1],row,column)
        local player = getPlayerFromName(playerName)
		local teamName = guiGridListGetItemText(team.Gridlist[1],rows,columns)
		--local team = getTeamName(teamName)
        if not playerName then
            guiGridListRemoveRow(row)
            return
        end
            triggerServerEvent("removeFromTeam", localPlayer,playerName,teamName)
		end
end)
-----Vehicle Spawn

Car = {
    button = {},
    window = {},
    edit = {},
	label = {}
}
Car.window[1] = guiCreateWindow(858, 300, 256, 110, "Give Vehicle", false)
guiWindowSetSizable(Car.window[1], false)

Car.label[1] = guiCreateLabel(10, 30, 203, 18, "Enter vehicle id", false, Car.window[1])
Car.edit[1] = guiCreateEdit(13, 55, 78, 29, "", false, Car.window[1])
Car.button[1] = guiCreateButton(101, 58, 142, 26, "Spawn Vehicle", false, Car.window[1])
guiSetFont(Car.button[1], "default-bold-small")
guiSetProperty(Car.button[1], "NormalTextColour", "FFFFFFFF")
guiSetVisible(Car.window[1], false)

addEventHandler("onClientGUIClick",Car.button[1],function()
    triggerServerEvent("onPlayerRequestCar",localPlayer,string.match(guiGetText(Car.edit[1]),"[0-9]") and tonumber(guiGetText(Car.edit[1])) or 497)
end,false)
 
function toggleVehicle( source )
-- Show the panel
    if not guiGetVisible( Car.window[1] ) then
        showCursor ( true )
        guiSetVisible( Car.window[1], true )
    else
        showCursor ( false )
        guiSetVisible( Car.window[1], false )
    end
end
addEventHandler ( "onClientGUIClick", GUIEditor.button[11], toggleVehicle )