local serialMute = { }

addEvent("kick", true)
addEventHandler("kick", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	kickPlayer(player, theClient)
	outputChatBox(getPlayerName(player).." #FF0000has been kicked.", root, 255, 255, 255, true)
	end
end)

addEvent("ban", true)
addEventHandler("ban", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	local reason = ""
	banPlayer(player, true, true, true, thePlayer, reason)
	outputChatBox(getPlayerName(player).." #FF0000has been banned.", root, 255, 255, 255, true)
	end
end)

addEvent("kill", true)
addEventHandler("kill", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	killPed ( player )
	outputChatBox(getPlayerName(player).." #FF0000has been killed.", root, 255, 255, 255, true)
	end
end)

addEvent("freeze", true)
addEventHandler("freeze", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	setElementFrozen ( player, true )
	outputChatBox(" #FF0000 You have been frozen.", player, 255, 255, 255, true)
	end
end)

addEvent("unfreeze", true)
addEventHandler("unfreeze", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	setElementFrozen ( player, false )
	outputChatBox(" #FF0000 You have been unfrozen.", player, 0, 255, 100, true)
	end
end)

addEvent("warp", true)
addEventHandler("warp", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	setElementPosition ( source, getElementPosition(player) )
	end
end)

addEvent("fix", true)
addEventHandler("fix", root,
function (playername)
local player = getPlayerFromName(playername or "")
if player then
  local theVehicle = getPedOccupiedVehicle(player)
    if theVehicle and getVehicleController ( theVehicle ) == source then
         fixVehicle (theVehicle)
		 outputChatBox(" #FF0000Your vehicle has been fixed.", root, 255, 255, 255, true)
    end
end
end)

addEvent("destroy", true)
addEventHandler("destroy", root,
function (playername)
local player = getPlayerFromName(playername or "")
if player then
  local theVehicle = getPedOccupiedVehicle(player)
    if theVehicle and getVehicleController ( theVehicle ) == source then
         destroyElement(theVehicle)
		 outputChatBox(" #FF0000Your vehicle has been destroyed.", player, 255, 255, 255, true)
    end
end
end)

addEvent("mute", true)
addEventHandler("mute", root,
function (playername)
local player = getPlayerFromName(playername or "")
	if player then
	local duration = (tonumber(1) or 0) * 60 * 1000
	setPlayerMuted(player, true)
	outputChatBox(getPlayerName(player).." #FF0000has been muted.", root, 255, 255, 255, true)
	outputChatBox("#FF0000 You have been muted.", player, 255, 255, 255, true)
	local timer = setTimer ( unmute, duration, 1, player )
	serialMute [ getPlayerSerial ( player ) ] = { duration, timer }
end
end)

function onJoin ()
    local serial = getPlayerSerial(source)
    local muted = serialMute [ serial ]
    if ( type ( muted ) == "table" ) then
        if ( muted [ 1 ] ) then
            setPlayerMuted ( source, true )
            local timer = setTimer ( unMute, muted [ 1 ], 1, source )
            serialMute [ serial ] [ 2 ] = timer
 
            return
        end
    end
 
    setPlayerMuted ( source, false )
end
addEventHandler ( "onPlayerJoin", getRootElement(), onJoin )
 
addEventHandler ( "onPlayerQuit", root,
    function ( )
        local serial = getPlayerSerial ( source )
        local muted = serialMute [ serial ]
        if ( type ( muted ) == "table" ) then
            if isTimer ( muted [ 2 ] ) then
                local timeLeft = getTimerDetails ( muted [ 2 ] )
                killTimer ( muted [ 2 ] )
                serialMute [ serial ] [ 1 ] = timeLeft
            end
        end
    end
)
 
function unmute ( thePlayer )
    if isElement ( thePlayer ) then
        setPlayerMuted ( thePlayer, false )
        serialMute [ getPlayerSerial ( thePlayer ) ] = nil
        outputChatBox ( "You have been unmuted.", thePlayer, 0, 255, 100 )
    end
end

function getPlayerFromNamePart(name)
    if name then
        for i, player in ipairs(getElementsByType("player")) do
            if string.find(getPlayerName(player):lower(), tostring(name):lower(), 1, true) then
                return player
            end
        end
    end
    return false
end

addEventHandler ( 'onPlayerJoin',root,
    function (          )
        setElementData ( source,'iPlayerIP',getPlayerIP ( source ) )
    end
)

addEvent("onPlayerRequestCar",true)
addEventHandler("onPlayerRequestCar",root,function(id)
    if id then
        local x,y,z = getElementPosition(client)
        local rx,ry,rz = getElementRotation(client)
        local vehicle = createVehicle(id,x,y,z,rx,ry,rz)
		warpPedIntoVehicle(source, vehicle)
    end
end)

addEvent("setteam", true)
addEventHandler("setteam", root,
function (playername, teamname)
local player = getPlayerFromName(playername or "")
local team = getTeamFromName(teamname or "")
if player and team then
local r, g, b = getTeamColor ( team )
   setPlayerTeam(player, team)
   setPlayerNametagColor ( player, r, g, b )
   outputChatBox("You have been moved to #FFFFFF"..getTeamName(team), player, 255, 0, 0, true)
   end
end)

addEvent("removeFromTeam", true)
addEventHandler("removeFromTeam", root,
function (playername, teamname)
local player = getPlayerFromName(playername or "")
local team = getTeamFromName(teamname or "")
if player and team then
local red, green, blue = math.random (50, 255), math.random (50, 255), math.random (50, 255)
   setPlayerTeam(player, nil)
   setPlayerNametagColor(player, red, green, blue)
   outputChatBox("You left your current team.", player, 255, 0, 0, true)
   end
end)
 